diff -ruN fpcbuild-3.2.2-orig/fpcsrc/compiler/Makefile fpcbuild-3.2.2/fpcsrc/compiler/Makefile
--- fpcbuild-3.2.2-orig/fpcsrc/compiler/Makefile	2021-05-13 06:42:31.000000000 -0500
+++ fpcbuild-3.2.2/fpcsrc/compiler/Makefile	2023-10-04 06:59:54.000000000 -0500
@@ -4310,9 +4310,9 @@
 DIFFRESULT:=$(shell $(DIFF) $(OLDFPC) $(FPC))
 else
 ifneq ($(CODESIGN),)
-DIFFRESULT:=$(shell $(COPY) $(OLDFPC) $(OLDFPC).tmp; $(COPY) $(FPC) $(FPC).tmp; strip -no_uuid $(OLDFPC).tmp; strip -no_uuid $(FPC).tmp; $(CODESIGN) --remove-signature $(OLDFPC).tmp; $(CODESIGN) --remove-signature $(FPC).tmp; $(DIFF) $(OLDFPC).tmp $(FPC).tmp; $(RMPROG) $(OLDFPC).tmp $(FPC).tmp)
+DIFFRESULT:=$(shell $(COPY) $(OLDFPC) $(OLDFPC).tmp; $(COPY) $(FPC) $(FPC).tmp; /usr/bin/strip -no_uuid $(OLDFPC).tmp; /usr/bin/strip -no_uuid $(FPC).tmp; $(CODESIGN) --remove-signature $(OLDFPC).tmp; $(CODESIGN) --remove-signature $(FPC).tmp; $(DIFF) $(OLDFPC).tmp $(FPC).tmp; $(RMPROG) $(OLDFPC).tmp $(FPC).tmp)
 else
-DIFFRESULT:=$(shell $(COPY) $(OLDFPC) $(OLDFPC).tmp; $(COPY) $(FPC) $(FPC).tmp; strip -no_uuid $(OLDFPC).tmp; strip -no_uuid $(FPC).tmp; $(DIFF) $(OLDFPC).tmp $(FPC).tmp; $(RMPROG) $(OLDFPC).tmp $(FPC).tmp)
+DIFFRESULT:=$(shell $(COPY) $(OLDFPC) $(OLDFPC).tmp; $(COPY) $(FPC) $(FPC).tmp; /usr/bin/strip -no_uuid $(OLDFPC).tmp; /usr/bin/strip -no_uuid $(FPC).tmp; $(DIFF) $(OLDFPC).tmp $(FPC).tmp; $(RMPROG) $(OLDFPC).tmp $(FPC).tmp)
 endif
 endif
 else
@@ -4351,8 +4351,8 @@
 else
 	$(COPY) $(TEMPNAME3) $(TEMPNAME3).tmp
 	$(COPY) $(EXENAME) $(EXENAME).tmp
-	strip -no_uuid $(TEMPNAME3).tmp
-	strip -no_uuid $(EXENAME).tmp
+	/usr/bin/strip -no_uuid $(TEMPNAME3).tmp
+	/usr/bin/strip -no_uuid $(EXENAME).tmp
 ifneq ($(CODESIGN),)
 	$(CODESIGN) --remove-signature $(TEMPNAME3).tmp
 	$(CODESIGN) --remove-signature $(EXENAME).tmp
diff -ruN fpcbuild-3.2.2-orig/fpcsrc/compiler/Makefile.fpc fpcbuild-3.2.2/fpcsrc/compiler/Makefile.fpc
--- fpcbuild-3.2.2-orig/fpcsrc/compiler/Makefile.fpc	2021-05-13 06:42:31.000000000 -0500
+++ fpcbuild-3.2.2/fpcsrc/compiler/Makefile.fpc	2023-10-04 06:59:36.000000000 -0500
@@ -683,9 +683,9 @@
 DIFFRESULT:=$(shell $(DIFF) $(OLDFPC) $(FPC))
 else
 ifneq ($(CODESIGN),)
-DIFFRESULT:=$(shell $(COPY) $(OLDFPC) $(OLDFPC).tmp; $(COPY) $(FPC) $(FPC).tmp; strip -no_uuid $(OLDFPC).tmp; strip -no_uuid $(FPC).tmp; $(CODESIGN) --remove-signature $(OLDFPC).tmp; $(CODESIGN) --remove-signature $(FPC).tmp; $(DIFF) $(OLDFPC).tmp $(FPC).tmp; $(RMPROG) $(OLDFPC).tmp $(FPC).tmp)
+DIFFRESULT:=$(shell $(COPY) $(OLDFPC) $(OLDFPC).tmp; $(COPY) $(FPC) $(FPC).tmp; /usr/bin/strip -no_uuid $(OLDFPC).tmp; /usr/bin/strip -no_uuid $(FPC).tmp; $(CODESIGN) --remove-signature $(OLDFPC).tmp; $(CODESIGN) --remove-signature $(FPC).tmp; $(DIFF) $(OLDFPC).tmp $(FPC).tmp; $(RMPROG) $(OLDFPC).tmp $(FPC).tmp)
 else
-DIFFRESULT:=$(shell $(COPY) $(OLDFPC) $(OLDFPC).tmp; $(COPY) $(FPC) $(FPC).tmp; strip -no_uuid $(OLDFPC).tmp; strip -no_uuid $(FPC).tmp; $(DIFF) $(OLDFPC).tmp $(FPC).tmp; $(RMPROG) $(OLDFPC).tmp $(FPC).tmp)
+DIFFRESULT:=$(shell $(COPY) $(OLDFPC) $(OLDFPC).tmp; $(COPY) $(FPC) $(FPC).tmp; /usr/bin/strip -no_uuid $(OLDFPC).tmp; /usr/bin/strip -no_uuid $(FPC).tmp; $(DIFF) $(OLDFPC).tmp $(FPC).tmp; $(RMPROG) $(OLDFPC).tmp $(FPC).tmp)
 endif
 endif
 else
@@ -729,8 +729,8 @@
 else
         $(COPY) $(TEMPNAME3) $(TEMPNAME3).tmp
         $(COPY) $(EXENAME) $(EXENAME).tmp
-        strip -no_uuid $(TEMPNAME3).tmp
-        strip -no_uuid $(EXENAME).tmp
+        /usr/bin/strip -no_uuid $(TEMPNAME3).tmp
+        /usr/bin/strip -no_uuid $(EXENAME).tmp
 ifneq ($(CODESIGN),)
         $(CODESIGN) --remove-signature $(TEMPNAME3).tmp
         $(CODESIGN) --remove-signature $(EXENAME).tmp
diff -ruN fpcbuild-3.2.2-orig/fpcsrc/compiler/systems/t_darwin.pas fpcbuild-3.2.2/fpcsrc/compiler/systems/t_darwin.pas
--- fpcbuild-3.2.2-orig/fpcsrc/compiler/systems/t_darwin.pas	2021-04-10 06:02:51.000000000 -0500
+++ fpcbuild-3.2.2/fpcsrc/compiler/systems/t_darwin.pas	2023-10-05 05:55:00.000000000 -0500
@@ -133,7 +133,7 @@
              DllCmd[1]:='ld $PRTOBJ $TARGET $EMUL $OPT $GCSECTIONS $MAP $ORDERSYMS -dynamic -dylib -multiply_defined suppress -L. -o $EXE $CATRES $FILELIST'
            else
              DllCmd[1]:='ld $PRTOBJ $TARGET $EMUL $OPT $GCSECTIONS $MAP $ORDERSYMS -dynamic -bundle -multiply_defined suppress -L. -o $EXE $CATRES $FILELIST';
-           DllCmd[2]:='strip -x $EXE';
+           DllCmd[2]:='/usr/bin/strip -x $EXE';
            DynamicLinker:='';
          end;
       end;