diff -ruN fpdf17.orig/fink/index.htm fpdf17/fink/index.htm
--- fpdf17.orig/fink/index.htm	1969-12-31 17:00:00.000000000 -0700
+++ fpdf17/fink/index.htm	2012-06-07 11:24:40.000000000 -0600
@@ -0,0 +1,17 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<HTML>
+<HEAD>
+<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=ISO-8859-1">
+<TITLE>FPDF Documentation</TITLE>
+<LINK TYPE="text/css" REL="stylesheet" HREF="fpdf.css">
+</HEAD>
+<BODY>
+<H2>FPDF Documentation</H2>
+<P>Documentation included in this set:</P>
+<UL>
+<LI><A HREF="FAQ.htm">FAQ</A></LI>
+<LI><A HREF="doc/index.htm">Reference Manual</A></LI>
+<LI><A HREF="tutorial/index.htm">Tutorial</A></LI>
+</UL>
+</BODY>
+</HTML>
diff -ruN fpdf17.orig/fink/patches/tutorial.patch fpdf17/fink/patches/tutorial.patch
--- fpdf17.orig/fink/patches/tutorial.patch	1969-12-31 17:00:00.000000000 -0700
+++ fpdf17/fink/patches/tutorial.patch	2012-06-07 13:21:45.000000000 -0600
@@ -0,0 +1,152 @@
+diff -u php-fpdf-1.7.dfsg/tutorial/tuto1.htm tutorial.new/tuto1.htm
+--- php-fpdf-1.7.dfsg/tutorial/tuto1.htm	2011-06-18 15:41:49.000000000 +0200
++++ tutorial.new/tuto1.htm	2011-07-31 16:05:20.000000000 +0200
+@@ -10,7 +10,7 @@
+ Let's start with the classic example:
+ <div class="source">
+ <pre><code>&lt;?php
+-<span class="kw">require(</span><span class="str">'fpdf.php'</span><span class="kw">);
++<span class="kw">require(</span><span class="str">'fpdf/fpdf.php'</span><span class="kw">);
+ 
+ </span>$pdf <span class="kw">= new </span>FPDF<span class="kw">();
+ </span>$pdf<span class="kw">-&gt;</span>AddPage<span class="kw">();
+diff -u php-fpdf-1.7.dfsg/tutorial/tuto1.php tutorial.new/tuto1.php
+--- php-fpdf-1.7.dfsg/tutorial/tuto1.php	2011-06-18 15:41:49.000000000 +0200
++++ tutorial.new/tuto1.php	2011-07-31 16:03:53.000000000 +0200
+@@ -1,5 +1,5 @@
+ <?php
+-require('../fpdf.php');
++require('fpdf/fpdf.php');
+ 
+ $pdf = new FPDF();
+ $pdf->AddPage();
+diff -u php-fpdf-1.7.dfsg/tutorial/tuto2.htm tutorial.new/tuto2.htm
+--- php-fpdf-1.7.dfsg/tutorial/tuto2.htm	2011-06-18 15:41:49.000000000 +0200
++++ tutorial.new/tuto2.htm	2011-07-31 16:05:15.000000000 +0200
+@@ -10,7 +10,7 @@
+ Here's a two page example with header, footer and logo:
+ <div class="source">
+ <pre><code>&lt;?php
+-<span class="kw">require(</span><span class="str">'fpdf.php'</span><span class="kw">);
++<span class="kw">require(</span><span class="str">'fpdf/fpdf.php'</span><span class="kw">);
+ 
+ class </span>PDF <span class="kw">extends </span>FPDF
+ <span class="kw">{
+diff -u php-fpdf-1.7.dfsg/tutorial/tuto2.php tutorial.new/tuto2.php
+--- php-fpdf-1.7.dfsg/tutorial/tuto2.php	2011-06-18 15:41:49.000000000 +0200
++++ tutorial.new/tuto2.php	2011-07-31 16:03:58.000000000 +0200
+@@ -1,5 +1,5 @@
+ <?php
+-require('../fpdf.php');
++require('fpdf/fpdf.php');
+ 
+ class PDF extends FPDF
+ {
+diff -u php-fpdf-1.7.dfsg/tutorial/tuto3.htm tutorial.new/tuto3.htm
+--- php-fpdf-1.7.dfsg/tutorial/tuto3.htm	2011-06-18 15:41:49.000000000 +0200
++++ tutorial.new/tuto3.htm	2011-07-31 16:05:10.000000000 +0200
+@@ -11,7 +11,7 @@
+ of colors.
+ <div class="source">
+ <pre><code>&lt;?php
+-<span class="kw">require(</span><span class="str">'fpdf.php'</span><span class="kw">);
++<span class="kw">require(</span><span class="str">'fpdf/fpdf.php'</span><span class="kw">);
+ 
+ class </span>PDF <span class="kw">extends </span>FPDF
+ <span class="kw">{
+diff -u php-fpdf-1.7.dfsg/tutorial/tuto3.php tutorial.new/tuto3.php
+--- php-fpdf-1.7.dfsg/tutorial/tuto3.php	2011-06-18 15:41:49.000000000 +0200
++++ tutorial.new/tuto3.php	2011-07-31 16:04:04.000000000 +0200
+@@ -1,5 +1,5 @@
+ <?php
+-require('../fpdf.php');
++require('fpdf/fpdf.php');
+ 
+ class PDF extends FPDF
+ {
+diff -u php-fpdf-1.7.dfsg/tutorial/tuto4.htm tutorial.new/tuto4.htm
+--- php-fpdf-1.7.dfsg/tutorial/tuto4.htm	2011-06-18 15:41:49.000000000 +0200
++++ tutorial.new/tuto4.htm	2011-07-31 16:05:04.000000000 +0200
+@@ -11,7 +11,7 @@
+ columns.
+ <div class="source">
+ <pre><code>&lt;?php
+-<span class="kw">require(</span><span class="str">'fpdf.php'</span><span class="kw">);
++<span class="kw">require(</span><span class="str">'fpdf/fpdf.php'</span><span class="kw">);
+ 
+ class </span>PDF <span class="kw">extends </span>FPDF
+ <span class="kw">{
+diff -u php-fpdf-1.7.dfsg/tutorial/tuto4.php tutorial.new/tuto4.php
+--- php-fpdf-1.7.dfsg/tutorial/tuto4.php	2011-06-18 15:41:49.000000000 +0200
++++ tutorial.new/tuto4.php	2011-07-31 16:04:09.000000000 +0200
+@@ -1,5 +1,5 @@
+ <?php
+-require('../fpdf.php');
++require('fpdf/fpdf.php');
+ 
+ class PDF extends FPDF
+ {
+diff -u php-fpdf-1.7.dfsg/tutorial/tuto5.htm tutorial.new/tuto5.htm
+--- php-fpdf-1.7.dfsg/tutorial/tuto5.htm	2011-06-18 15:41:49.000000000 +0200
++++ tutorial.new/tuto5.htm	2011-07-31 16:04:59.000000000 +0200
+@@ -10,7 +10,7 @@
+ This tutorial shows different ways to make tables.
+ <div class="source">
+ <pre><code>&lt;?php
+-<span class="kw">require(</span><span class="str">'fpdf.php'</span><span class="kw">);
++<span class="kw">require(</span><span class="str">'fpdf/fpdf.php'</span><span class="kw">);
+ 
+ class </span>PDF <span class="kw">extends </span>FPDF
+ <span class="kw">{
+diff -u php-fpdf-1.7.dfsg/tutorial/tuto5.php tutorial.new/tuto5.php
+--- php-fpdf-1.7.dfsg/tutorial/tuto5.php	2011-06-18 15:41:49.000000000 +0200
++++ tutorial.new/tuto5.php	2011-07-31 16:04:15.000000000 +0200
+@@ -1,5 +1,5 @@
+ <?php
+-require('../fpdf.php');
++require('fpdf/fpdf.php');
+ 
+ class PDF extends FPDF
+ {
+diff -u php-fpdf-1.7.dfsg/tutorial/tuto6.htm tutorial.new/tuto6.htm
+--- php-fpdf-1.7.dfsg/tutorial/tuto6.htm	2011-06-18 15:41:49.000000000 +0200
++++ tutorial.new/tuto6.htm	2011-07-31 16:04:54.000000000 +0200
+@@ -11,7 +11,7 @@
+ mode. It also contains a basic HTML parser.
+ <div class="source">
+ <pre><code>&lt;?php
+-<span class="kw">require(</span><span class="str">'fpdf.php'</span><span class="kw">);
++<span class="kw">require(</span><span class="str">'fpdf/fpdf.php'</span><span class="kw">);
+ 
+ class </span>PDF <span class="kw">extends </span>FPDF
+ <span class="kw">{
+diff -u php-fpdf-1.7.dfsg/tutorial/tuto6.php tutorial.new/tuto6.php
+--- php-fpdf-1.7.dfsg/tutorial/tuto6.php	2011-06-18 15:41:49.000000000 +0200
++++ tutorial.new/tuto6.php	2011-07-31 16:04:20.000000000 +0200
+@@ -1,5 +1,5 @@
+ <?php
+-require('../fpdf.php');
++require('fpdf/fpdf.php');
+ 
+ class PDF extends FPDF
+ {
+diff -u php-fpdf-1.7.dfsg/tutorial/tuto7.htm tutorial.new/tuto7.htm
+--- php-fpdf-1.7.dfsg/tutorial/tuto7.htm	2011-06-18 15:41:49.000000000 +0200
++++ tutorial.new/tuto7.htm	2011-07-31 16:04:43.000000000 +0200
+@@ -174,7 +174,7 @@
+ We can now copy the two generated files to the font directory and write the script:
+ <div class="source">
+ <pre><code>&lt;?php
+-<span class="kw">require(</span><span class="str">'fpdf.php'</span><span class="kw">);
++<span class="kw">require(</span><span class="str">'fpdf/fpdf.php'</span><span class="kw">);
+ 
+ </span>$pdf <span class="kw">= new </span>FPDF<span class="kw">();
+ </span>$pdf<span class="kw">-&gt;</span>AddFont<span class="kw">(</span><span class="str">'Calligrapher'</span><span class="kw">,</span><span class="str">''</span><span class="kw">,</span><span class="str">'calligra.php'</span><span class="kw">);
+@@ -184,7 +184,6 @@
+ </span>$pdf<span class="kw">-&gt;</span>Output<span class="kw">();
+ </span>?&gt;</code></pre>
+ </div>
+-<p class='demo'><a href='tuto7.php' target='_blank' class='demo'>[Demo]</a></p>
+ 
+ <h2>About the euro symbol</h2>
+ The euro character is not present in all encodings, and is not always placed at the same position: