diff -uNr tcltk-8.6.10.orig/tcl8.6.10/generic/tclInt.h tcltk-8.6.10/tcl8.6.10/generic/tclInt.h
--- tcltk-8.6.10.orig/tcl8.6.10/generic/tclInt.h	2019-11-13 11:57:08.000000000 -0600
+++ tcltk-8.6.10/tcl8.6.10/generic/tclInt.h	2020-11-08 06:21:12.000000000 -0600
@@ -3277,7 +3277,7 @@
 MODULE_SCOPE int	TclClockOldscanObjCmd(
 			    ClientData clientData, Tcl_Interp *interp,
 			    int objc, Tcl_Obj *const objv[]);
-MODULE_SCOPE int	Tcl_CloseObjCmd(ClientData clientData,
+extern int	Tcl_CloseObjCmd(ClientData clientData,
 			    Tcl_Interp *interp, int objc,
 			    Tcl_Obj *const objv[]);
 MODULE_SCOPE int	Tcl_ConcatObjCmd(ClientData clientData,
@@ -3458,7 +3458,7 @@
 MODULE_SCOPE int	Tcl_RepresentationCmd(ClientData clientData,
 			    Tcl_Interp *interp, int objc,
 			    Tcl_Obj *const objv[]);
-MODULE_SCOPE int	Tcl_ReturnObjCmd(ClientData clientData,
+extern int	Tcl_ReturnObjCmd(ClientData clientData,
 			    Tcl_Interp *interp, int objc,
 			    Tcl_Obj *const objv[]);
 MODULE_SCOPE int	Tcl_ScanObjCmd(ClientData clientData,
diff -uNr tcltk-8.6.10.orig/tcl8.6.10/generic/tclPort.h tcltk-8.6.10/tcl8.6.10/generic/tclPort.h
--- tcltk-8.6.10.orig/tcl8.6.10/generic/tclPort.h	2019-06-17 13:39:57.000000000 -0500
+++ tcltk-8.6.10/tcl8.6.10/generic/tclPort.h	2020-11-08 06:21:12.000000000 -0600
@@ -20,7 +20,7 @@
 #if defined(_WIN32)
 #   include "tclWinPort.h"
 #else
-#   include "tclUnixPort.h"
+#   include "../unix/tclUnixPort.h"
 #endif
 #include "tcl.h"
 
diff -uNr tcltk-8.6.10.orig/tcl8.6.10/pkgs/itcl4.2.0/configure tcltk-8.6.10/tcl8.6.10/pkgs/itcl4.2.0/configure
--- tcltk-8.6.10.orig/tcl8.6.10/pkgs/itcl4.2.0/configure	2019-11-20 11:38:54.000000000 -0500
+++ tcltk-8.6.10/tcl8.6.10/pkgs/itcl4.2.0/configure	2020-11-21 14:33:08.000000000 -0500
@@ -8459,9 +8459,9 @@
 	eval itcl_LIB_FLAG="-litcl`echo ${PACKAGE_VERSION} | tr -d .`${DBGX}"
 	eval itcl_STUB_LIB_FLAG="-litclstub`echo ${PACKAGE_VERSION} | tr -d .`${DBGX}"
     fi
-    itcl_BUILD_LIB_SPEC="-L`$CYGPATH $(pwd)` ${itcl_LIB_FLAG}"
+    itcl_BUILD_LIB_SPEC="`$CYGPATH $(pwd)`/${PKG_LIB_FILE}"
     itcl_LIB_SPEC="-L`$CYGPATH ${pkglibdir}` ${itcl_LIB_FLAG}"
-    itcl_BUILD_STUB_LIB_SPEC="-L`$CYGPATH $(pwd)` ${itcl_STUB_LIB_FLAG}"
+    itcl_BUILD_STUB_LIB_SPEC="`$CYGPATH $(pwd)`/${PKG_STUB_LIB_FILE}"
     itcl_STUB_LIB_SPEC="-L`$CYGPATH ${pkglibdir}` ${itcl_STUB_LIB_FLAG}"
     itcl_BUILD_STUB_LIB_PATH="`$CYGPATH $(pwd)`/${PKG_STUB_LIB_FILE}"
     itcl_STUB_LIB_PATH="`$CYGPATH ${pkglibdir}`/${PKG_STUB_LIB_FILE}"
diff -uNr tcltk-8.6.10.orig/tcl8.6.10/pkgs/tdbc1.1.1/configure tcltk-8.6.10/tcl8.6.10/pkgs/tdbc1.1.1/configure
--- tcltk-8.6.10.orig/tcl8.6.10/pkgs/tdbc1.1.1/configure	2019-11-20 11:33:00.000000000 -0500
+++ tcltk-8.6.10/tcl8.6.10/pkgs/tdbc1.1.1/configure	2020-11-21 14:45:57.000000000 -0500
@@ -8543,9 +8543,9 @@
 	eval tdbc_LIB_FLAG="-ltdbc`echo ${PACKAGE_VERSION} | tr -d .`${DBGX}"
 	eval tdbc_STUB_LIB_FLAG="-ltdbcstub`echo ${PACKAGE_VERSION} | tr -d .`${DBGX}"
     fi
-    tdbc_BUILD_LIB_SPEC="-L`$CYGPATH $(pwd)` ${tdbc_LIB_FLAG}"
+    tdbc_BUILD_LIB_SPEC="`$CYGPATH $(pwd)`/${PKG_LIB_FILE}"
     tdbc_LIB_SPEC="-L`$CYGPATH ${pkglibdir}` ${tdbc_LIB_FLAG}"
-    tdbc_BUILD_STUB_LIB_SPEC="-L`$CYGPATH $(pwd)` ${tdbc_STUB_LIB_FLAG}"
+    tdbc_BUILD_STUB_LIB_SPEC="`$CYGPATH $(pwd)`/${PKG_STUB_LIB_FILE}"
     tdbc_STUB_LIB_SPEC="-L`$CYGPATH ${pkglibdir}` ${tdbc_STUB_LIB_FLAG}"
     tdbc_BUILD_STUB_LIB_PATH="`$CYGPATH $(pwd)`/${PKG_STUB_LIB_FILE}"
     tdbc_STUB_LIB_PATH="`$CYGPATH ${pkglibdir}`/${PKG_STUB_LIB_FILE}"
diff -uNr tcltk-8.6.10.orig/tcl8.6.10/unix/configure tcltk-8.6.10/tcl8.6.10/unix/configure
--- tcltk-8.6.10.orig/tcl8.6.10/unix/configure	2019-11-21 13:10:50.000000000 -0600
+++ tcltk-8.6.10/tcl8.6.10/unix/configure	2020-11-08 06:21:12.000000000 -0600
@@ -18820,7 +18820,7 @@
     else
         TCL_LIB_FLAG="-ltcl`echo ${TCL_VERSION} | tr -d .`"
     fi
-    TCL_BUILD_LIB_SPEC="-L`pwd | sed -e 's/ /\\\\ /g'` ${TCL_LIB_FLAG}"
+    TCL_BUILD_LIB_SPEC="`pwd`/${TCL_LIB_FILE}"
     TCL_LIB_SPEC="-L${libdir} ${TCL_LIB_FLAG}"
 fi
 VERSION='${VERSION}'
@@ -18864,7 +18864,7 @@
     TCL_STUB_LIB_FLAG="-ltclstub`echo ${TCL_VERSION} | tr -d .`"
 fi
 
-TCL_BUILD_STUB_LIB_SPEC="-L`pwd | sed -e 's/ /\\\\ /g'` ${TCL_STUB_LIB_FLAG}"
+TCL_BUILD_STUB_LIB_SPEC="`pwd`/${TCL_STUB_LIB_FILE}"
 TCL_STUB_LIB_SPEC="-L${TCL_STUB_LIB_DIR} ${TCL_STUB_LIB_FLAG}"
 TCL_BUILD_STUB_LIB_PATH="`pwd`/${TCL_STUB_LIB_FILE}"
 TCL_STUB_LIB_PATH="${TCL_STUB_LIB_DIR}/${TCL_STUB_LIB_FILE}"
@@ -19048,7 +19048,7 @@
 
 
 
-CFLAGS="${CFLAGS} ${CPPFLAGS}"; CPPFLAGS=""
+EXTRA_CC_SWITCHES="${EXTRA_CC_SWITCHES} ${CPPFLAGS}"; CPPFLAGS=""
 
 : ${CONFIG_STATUS=./config.status}
 ac_clean_files_save=$ac_clean_files
diff -uNr tcltk-8.6.10.orig/tk8.6.10/unix/Makefile.in tcltk-8.6.10/tk8.6.10/unix/Makefile.in
--- tcltk-8.6.10.orig/tk8.6.10/unix/Makefile.in	2019-11-20 13:56:52.000000000 -0600
+++ tcltk-8.6.10/tk8.6.10/unix/Makefile.in	2020-11-08 06:21:12.000000000 -0600
@@ -149,7 +149,7 @@
 # X11 include files accessible (the configure script will try to
 # set this value, and will cause it to be an empty string if the
 # include files are accessible via /usr/include).
-X11_INCLUDES		= @XINCLUDES@
+X11_INCLUDES		= $(XFT_CFLAGS) @XINCLUDES@
 
 AQUA_INCLUDES		= -I$(MAC_OSX_DIR) -I$(XLIB_DIR)
 
@@ -266,6 +266,9 @@
 LIBS = @LIBS@ $(X11_LIB_SWITCHES) @TCL_LIBS@
 WISH_LIBS = $(TCL_LIB_SPEC) @LIBS@ $(X11_LIB_SWITCHES) @TCL_LIBS@ @EXTRA_WISH_LIBS@
 
+# support for embedded libraries on Darwin / Mac OS X
+DYLIB_INSTALL_DIR       = ${libdir}
+
 # The symbols below provide support for dynamic loading and shared
 # libraries.  See configure.in for a description of what the
 # symbols mean.  The values of the symbols are normally set by the
@@ -283,9 +286,6 @@
 CC_SEARCH_FLAGS	= @CC_SEARCH_FLAGS@
 LD_SEARCH_FLAGS	= @LD_SEARCH_FLAGS@
 
-# support for embedded libraries on Darwin / Mac OS X
-DYLIB_INSTALL_DIR	= ${LIB_RUNTIME_DIR}
-
 # support for building the Aqua resource file
 TK_RSRC_FILE		= @TK_RSRC_FILE@
 WISH_RSRC_FILE		= @WISH_RSRC_FILE@
@@ -330,18 +330,18 @@
 
 CC_SWITCHES_NO_STUBS = ${CFLAGS} ${CFLAGS_WARNING} ${SHLIB_CFLAGS} \
 -I${UNIX_DIR} -I${GENERIC_DIR} -I${BMAP_DIR} -I${TCL_GENERIC_DIR} \
--I${TCL_PLATFORM_DIR} ${@TK_WINDOWINGSYSTEM@_INCLUDES} ${AC_FLAGS} \
-${PROTO_FLAGS} ${SECURITY_FLAGS} ${MEM_DEBUG_FLAGS} ${KEYSYM_FLAGS} \
-${NO_DEPRECATED_FLAGS} @EXTRA_CC_SWITCHES@
+-I${TCL_PLATFORM_DIR} ${AC_FLAGS} ${PROTO_FLAGS} ${SECURITY_FLAGS} \
+${MEM_DEBUG_FLAGS} ${KEYSYM_FLAGS} ${NO_DEPRECATED_FLAGS} \
+@EXTRA_CC_SWITCHES@ ${@TK_WINDOWINGSYSTEM@_INCLUDES}
 
 CC_SWITCHES = $(CC_SWITCHES_NO_STUBS) @TCL_STUB_FLAGS@
 
 APP_CC_SWITCHES = $(CC_SWITCHES_NO_STUBS) @EXTRA_APP_CC_SWITCHES@
 
 DEPEND_SWITCHES = ${CFLAGS} -I${UNIX_DIR} -I${GENERIC_DIR} -I${BMAP_DIR} \
--I${TCL_GENERIC_DIR} -I${TCL_PLATFORM_DIR} ${@TK_WINDOWINGSYSTEM@_INCLUDES} \
-${AC_FLAGS} ${PROTO_FLAGS} ${SECURITY_FLAGS} ${MEM_DEBUG_FLAGS} \
-${KEYSYM_FLAGS} @EXTRA_CC_SWITCHES@
+-I${TCL_GENERIC_DIR} -I${TCL_PLATFORM_DIR} ${AC_FLAGS} ${PROTO_FLAGS} \
+${SECURITY_FLAGS} ${MEM_DEBUG_FLAGS} ${KEYSYM_FLAGS} @EXTRA_CC_SWITCHES@ \
+${@TK_WINDOWINGSYSTEM@_INCLUDES}
 
 WISH_OBJS = tkAppInit.o
 
@@ -1202,7 +1202,7 @@
 
 # NB: tkUnixRFont.o uses nondefault CFLAGS
 tkUnixRFont.o: $(UNIX_DIR)/tkUnixRFont.c
-	$(CC) -c $(CC_SWITCHES) $(XFT_CFLAGS) $(UNIX_DIR)/tkUnixRFont.c
+	$(CC) -c $(CC_SWITCHES) $(UNIX_DIR)/tkUnixRFont.c
 
 tkUnixInit.o: $(UNIX_DIR)/tkUnixInit.c tkConfig.sh
 	$(CC) -c $(CC_SWITCHES) -DTK_LIBRARY=\"${TK_LIBRARY}\" \
diff -uNr tcltk-8.6.10.orig/tk8.6.10/unix/configure tcltk-8.6.10/tk8.6.10/unix/configure
--- tcltk-8.6.10.orig/tk8.6.10/unix/configure	2019-11-20 13:56:52.000000000 -0600
+++ tcltk-8.6.10/tk8.6.10/unix/configure	2020-11-08 06:21:12.000000000 -0600
@@ -10004,19 +10004,14 @@
 	echo "$as_me:$LINENO: result: $enable_xft" >&5
 echo "${ECHO_T}$enable_xft" >&6
     else
-	found_xft="yes"
-			XFT_CFLAGS=`xft-config --cflags 2>/dev/null` || found_xft="no"
-	XFT_LIBS=`xft-config --libs 2>/dev/null` || found_xft="no"
-	if test "$found_xft" = "no" ; then
 	    found_xft=yes
 	    XFT_CFLAGS=`pkg-config --cflags xft fontconfig 2>/dev/null` || found_xft="no"
 	    XFT_LIBS=`pkg-config --libs xft fontconfig 2>/dev/null` || found_xft="no"
-	fi
 	echo "$as_me:$LINENO: result: $found_xft" >&5
 echo "${ECHO_T}$found_xft" >&6
 		if test "$found_xft" = "yes" ; then
 	    tk_oldCFlags=$CFLAGS
-	    CFLAGS="$CFLAGS $XINCLUDES $XFT_CFLAGS"
+	    CFLAGS="$CFLAGS $XFT_CFLAGS $XINCLUDES"
 	    tk_oldLibs=$LIBS
 	    LIBS="$tk_oldLIBS $XFT_LIBS $XLIBSW"
 	    echo "$as_me:$LINENO: checking for X11/Xft/Xft.h" >&5
@@ -10081,7 +10076,7 @@
 	fi
 		if test "$found_xft" = "yes" ; then
 	    tk_oldCFlags=$CFLAGS
-	    CFLAGS="$CFLAGS $XINCLUDES $XFT_CFLAGS"
+	    CFLAGS="$CFLAGS $XFT_CFLAGS $XINCLUDES"
 	    tk_oldLibs=$LIBS
 	    LIBS="$tk_oldLIBS $XFT_LIBS $XLIBSW"
 
@@ -11059,7 +11054,7 @@
 	else
 	    TK_LIB_FLAG="-ltk`echo ${TK_VERSION} | tr -d .`"
 	fi
-	TK_BUILD_LIB_SPEC="-L`pwd | sed -e 's/ /\\\\ /g'` ${TK_LIB_FLAG}"
+	TK_BUILD_LIB_SPEC="`pwd`/${TK_LIB_FILE}"
     fi
     TK_LIB_SPEC="-L${libdir} ${TK_LIB_FLAG}"
 fi
@@ -11079,7 +11074,7 @@
     TK_STUB_LIB_FLAG="-ltkstub`echo ${TK_VERSION} | tr -d .`"
 fi
 
-TK_BUILD_STUB_LIB_SPEC="-L`pwd | sed -e 's/ /\\\\ /g'` ${TK_STUB_LIB_FLAG}"
+TK_BUILD_STUB_LIB_SPEC="`pwd`/${TK_STUB_LIB_FILE}"
 TK_STUB_LIB_SPEC="-L${TK_STUB_LIB_DIR} ${TK_STUB_LIB_FLAG}"
 TK_BUILD_STUB_LIB_PATH="`pwd`/${TK_STUB_LIB_FILE}"
 TK_STUB_LIB_PATH="${TK_STUB_LIB_DIR}/${TK_STUB_LIB_FILE}"
@@ -11268,7 +11263,7 @@
 LTLIBOBJS=$ac_ltlibobjs
 
 
-CFLAGS="${CFLAGS} ${CPPFLAGS}"; CPPFLAGS=""
+EXTRA_CC_SWITCHES="${EXTRA_CC_SWITCHES} ${CPPFLAGS}"; CPPFLAGS=""
 
 : ${CONFIG_STATUS=./config.status}
 ac_clean_files_save=$ac_clean_files
diff -uNr tcltk-8.6.10.orig/tk8.6.10/unix/tkConfig.sh.in tcltk-8.6.10/tk8.6.10/unix/tkConfig.sh.in
--- tcltk-8.6.10.orig/tk8.6.10/unix/tkConfig.sh.in	2019-11-20 13:56:52.000000000 -0600
+++ tcltk-8.6.10/tk8.6.10/unix/tkConfig.sh.in	2020-11-08 06:21:12.000000000 -0600
@@ -32,7 +32,7 @@
 TK_LIB_FILE='@TK_LIB_FILE@'
 
 # Additional libraries to use when linking Tk.
-TK_LIBS='@XLIBSW@ @XFT_LIBS@ @LIBS@ @TCL_LIBS@'
+TK_LIBS='@XFT_LIBS@ @XLIBSW@ @LIBS@ @TCL_LIBS@'
 
 # Top-level directory in which Tk's platform-independent files are
 # installed.